/**
 * 'fmt' and 'parse' utility object, input formatter classes.
 * @module data/input-formatter
 */
import type { NumberSettings, NumberInputSettings } from "../data/common";
/** Number format function, must return null if it can't parse value and doesn't want to override it. */
export interface NumberFormatter {
    format: (val: number | undefined) => string;
    parse: (val: string) => number | undefined;
}
export declare class NumberFmt implements NumberFormatter {
    type: "integer" | "decimal" | "money";
    precision: number;
    settings: NumberSettings;
    prefixRegex: RegExp | undefined;
    suffixRegex: RegExp | undefined;
    constructor(inputSettings: NumberInputSettings);
    parse(value: string): number | undefined;
    format(val: number | undefined): string;
}
